eoBreed(3)

NAME
eoBreed - Breeding: combination of selecting and transforming a population.

SYNOPSIS

#include <eoBreed.h>

Inherits eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >.

Inherited by eoBreedOne< EOT >, eoGeneralBreeder< EOT >, eoOneToOneBreeder< EOT >, and eoSelectTransform< EOT >.

Detailed Description

  template<class EOT> class eoBreed< EOT >
Breeding: combination of selecting and transforming a population. Breeding is thought of a combination of selecting and transforming a population. For efficiency reasons you might want to build your own eoBreed derived class rather than relying on a seperate select and transform function.

See also:
    eoSelect, eoTransform, eoSelectTransform

Definition at line 46 of file eoBreed.h.

Author

Generated automatically by Doxygen for EO from the source code.